<?php
$logo_url   = airpro_get_logo_url();
$logo_width = airpro_get_option( 'logo-width-exact', '' );

if ( $logo_width && isset( $logo_width['width'] ) ) {
	$logo_width = (int) $logo_width['width'] ? (int) $logo_width['width'] : '';
}

$logo_meta = airpro_get_logo_meta();
$alt_attribute = ! empty( $logo_meta[ 'alt' ] ) ? $logo_meta[ 'alt' ] : __('logo', 'airpro');
$title_attribute = ! empty( $logo_meta[ 'title' ] ) ? $logo_meta[ 'title' ] : __('logo', 'airpro');

?>
<?php if ( $logo_url ): ?>
	<div class="<?php echo airpro_class( 'logo' ); ?>">
		<a href="<?php echo esc_url( home_url( '/' ) ); ?>">
			<img width="<?php echo esc_attr( $logo_width ); ?>" 
				src="<?php echo esc_url( $logo_url ); ?>"
				alt="<?php echo esc_attr( $alt_attribute ); ?>"
				title="<?php echo esc_attr( $title_attribute ); ?>"
			>
		</a>
	</div>
<?php else: ?>
	<div class="<?php echo airpro_class( 'logo' ); ?>">
		<h1 class="site-title">
			<a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a>
		</h1>

		<h2 class="site-description"><?php bloginfo( 'description' ); ?></h2>
	</div>
<?php endif; ?>
